This is the firmware for the [BusVoodoo](https://bus.cuvoodoo.info/).

project
=======

summary
-------

The BusVoodoo is a multi-protocol debugging adapter.
This tool allows to quickly communicate with various other electronic devices.

An overview of the BusVoodoo can be found [here](https://bus.cuvoodoo.info/)
A more detailed manual is available [here](https://bus.cuvoodoo.info/manual/).

USB
---

The firmware offers serial communication over USART 1 and USB (using the CDC ACM device class).

board
=====

The BusVoodoo uses the a [custom board](https://bus.cuvoodoo.info/manual/index.html#_hardware_development) based on an [STM32F103RC](http://www.st.com/en/microcontrollers/stm32f103rc.html) micro-controller.

firmware
========

binaries
--------

There are two firmware files:

- _bootloader_: a USB DFU bootloader
- _application_: the main application

flash
-----

How to flash the binary firmware files in described in the [manual](https://bus.cuvoodoo.info/manual/index.html#_flashing).

source
------

The source code is available in [git](https://git.cuvoodoo.info/busvoodoo_firmware/), under the **busvoodoo** branch (or **busvoodoo_v0** for hardware version 0).
This firmware also uses the [LibOpenCM3](http://libopencm3.org/) library.

development
-----------

For information about firmware development, check the _HACKING.md_ instructions.
